Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocType.Builder

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.DocType.Builder

Enclosing class:
  `DocType`

public static class DocType.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocType`
  `build()`
  `DocType.Builder`
  `setComment(String comment)`
  `DocType.Builder`
  `setCreateWhenLessOrEqZero(boolean createWhenZero)`
  `DocType.Builder`
  `setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)`
  `DocType.Builder`
  `setDocumentType(DocumentType documentType)`
  `DocType.Builder`
  `setId(int value)`
  `DocType.Builder`
  `setNpid(int npid)`
  `DocType.Builder`
  `setNSubContractPositions(boolean nsubContractPositions)`
  `DocType.Builder`
  `setPattern(String pattern)`
  `DocType.Builder`
  `setPositionList(Set<Integer> positions)`
  `DocType.Builder`
  `setSetupString(String setupString)`
  `DocType.Builder`
  `setSubContractPositions(boolean subContractPositions)`
  `DocType.Builder`
  `setTitle(String title)`
  `DocType.Builder`
  `setXmlContractConsist(Set<Integer> xmlContractConsist)`
  `DocType.Builder`
  `setXmlModulesConsist(Set<Integer> xmlModulesConsist)`
  `DocType.Builder`
  `setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public DocType.Builder setId(int value)

  - ### setTitle

    public DocType.Builder setTitle(String title)

  - ### setComment

    public DocType.Builder setComment(String comment)

  - ### setCreateWhenLessOrEqZero

    public DocType.Builder setCreateWhenLessOrEqZero(boolean createWhenZero)

  - ### setCreateWhenStronglyLessZero

    public DocType.Builder setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)

  - ### setDocumentType

    public DocType.Builder setDocumentType(DocumentType documentType)

  - ### setNpid

    public DocType.Builder setNpid(int npid)

  - ### setNSubContractPositions

    public DocType.Builder setNSubContractPositions(boolean nsubContractPositions)

  - ### setPattern

    public DocType.Builder setPattern(String pattern)

  - ### setPositionList

    public DocType.Builder setPositionList(Set<Integer> positions)

  - ### setSetupString

    public DocType.Builder setSetupString(String setupString)

  - ### setSubContractPositions

    public DocType.Builder setSubContractPositions(boolean subContractPositions)

  - ### setXmlContractConsist

    public DocType.Builder setXmlContractConsist(Set<Integer> xmlContractConsist)

  - ### setXmlModulesConsist

    public DocType.Builder setXmlModulesConsist(Set<Integer> xmlModulesConsist)

  - ### setXmlPluginsConsist

    public DocType.Builder setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)

  - ### build

    public DocType build()